org.apache.ignite.internal.processors.hadoop

## Interface HadoopMapReducePlanner

    public interface HadoopMapReducePlanner

Map-reduce execution planner.

### Method Summary

Methods
`HadoopMapReducePlan` `preparePlan(HadoopJob job, Collection<ClusterNode> top, HadoopMapReducePlan oldPlan)` Prepares map-reduce execution plan for the given job and topology.

### Method Detail

#### preparePlan

    HadoopMapReducePlan preparePlan(HadoopJob job,
                                  Collection<ClusterNode> top,
                                  @Nullable
                                  HadoopMapReducePlan oldPlan)
                                    throws IgniteCheckedException

Prepares map-reduce execution plan for the given job and topology.

Parameters:
  `job` - Job.
  `top` - Topology.
  `oldPlan` - Old plan in case of partial failure.
Returns:
  Map reduce plan.
Throws:
  `IgniteCheckedException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015